PROGRAM mischen(input,output,dateia,dateib,dateic);

VAR dateia,dateib,dateic : FILE OF integer;
    dateiende : boolean;

BEGIN { mischen }
  reset (dateia);
  reset (dateib);
  rewrite (dateic);
  dateiende := eof(dateia) OR eof(dateib);
  WHILE NOT dateiende DO
  BEGIN
    IF dateia^ <= dateib^
      THEN
        BEGIN
          dateic^ := dateia^;
          get (dateia);
          dateiende := eof(dateia)
        END
      ELSE
        BEGIN
          dateic^ := dateib^;
          get (dateib);
          dateiende := eof(dateib)
        END;
    put (dateic)
  END;
  WHILE NOT eof(dateia) DO
    BEGIN
      dateic^ := dateia^;
      put (dateic);
      get (dateia)
    END;
  WHILE NOT eof(dateib) DO
    BEGIN
      dateic^ := dateib^;
      put (dateic);
      get (dateib)
    END
END.
